import 'package:json_annotation/json_annotation.dart';

part 'info.g.dart';

@JsonSerializable()
class Info {
  final int attack;
  final int defence;
  final int magic;
  final int difficulty;

  Info(this.attack, this.defence, this.magic, this.difficulty);

  factory Info.fromJson(Map<String, dynamic> json) => _$InfoFromJson(json);

  Map<String, dynamic> toJson() => _$InfoToJson(this);
}