import 'package:json_annotation/json_annotation.dart';

part 'perk.g.dart';

@JsonSerializable()
class Perk {
  final int id;
  final String key;
  final String icon;
  final String name;

  Perk(this.id, this.key, this.icon, this.name);

  factory Perk.fromJson(Map<String, dynamic> json) => _$PerkFromJson(json);

  Map<String, dynamic> toJson() => _$PerkToJson(this);
}