import 'package:json_annotation/json_annotation.dart';

part 'rune.g.dart';

@JsonSerializable()
class Rune {
  final int id;
  final String key;
  final String icon;
  final String name;
  final String shortDesc;
  final String longDesc;

  Rune(this.id, this.key, this.icon, this.name, this.shortDesc, this.longDesc);

  factory Rune.fromJson(Map<String, dynamic> json) => _$RuneFromJson(json);

  Map<String, dynamic> toJson() => _$RuneToJson(this);

}