import 'package:json_annotation/json_annotation.dart';

part 'gold.g.dart';

@JsonSerializable()
class Gold {
  final double base;
  final double total;
  final double sell;
  final bool purchasable;

  Gold(this.base, this.total, this.sell, this.purchasable);

  factory Gold.fromJson(json) => _$GoldFromJson(json);

  Map<String, dynamic> toJson() => _$GoldToJson(this);

}