import 'package:json_annotation/json_annotation.dart';

part 'stats.g.dart';

@JsonSerializable()
class Stats {
  @JsonKey(name: 'FlatHPPoolMod')
  final double flatHPPoolMod;
  @JsonKey(name: 'rFlatHPModPerLevel')
  final double rFlatHPModPerLevel;
  @JsonKey(name: 'FlatMPPoolMod')
  final double flatMPPoolMod;
  @JsonKey(name: 'rFlatMPModPerLevel')
  final double rFlatMPModPerLevel;
  @JsonKey(name: 'PercentHPPoolMod')
  final double percentHPPoolMod;
  @JsonKey(name: 'PercentMPPoolMod')
  final double percentMPPoolMod;
  @JsonKey(name: 'FlatHPRegenMod')
  final double flatHPRegenMod;
  @JsonKey(name: 'rFlatHPRegenModPerLevel')
  final double rFlatHPRegenModPerLevel;
  @JsonKey(name: 'PercentHPRegenMod')
  final double percentHPRegenMod;
  @JsonKey(name: 'FlatMPRegenMod')
  final double flatMPRegenMod;
  @JsonKey(name: 'rFlatMPRegenModPerLevel')
  final double rFlatMPRegenModPerLevel;
  @JsonKey(name: 'PercentMPRegenMod')
  final double percentMPRegenMod;
  @JsonKey(name: 'FlatArmorMod')
  final double flatArmorMod;
  @JsonKey(name: 'rFlatArmorModPerLevel')
  final double rFlatArmorModPerLevel;
  @JsonKey(name: 'PercentArmorMod')
  final double percentArmorMod;
  @JsonKey(name: 'rFlatArmorPenetrationMod')
  final double rFlatArmorPenetrationMod;
  @JsonKey(name: 'rFlatArmorPenetrationModPerLevel')
  final double rFlatArmorPenetrationModPerLevel;
  @JsonKey(name: 'rPercentArmorPenetrationMod')
  final double rPercentArmorPenetrationMod;
  @JsonKey(name: 'rPercentArmorPenetrationModPerLevel')
  final double rPercentArmorPenetrationModPerLevel;
  @JsonKey(name: 'FlatPhysicalDamageMod')
  final double flatPhysicalDamageMod;
  @JsonKey(name: 'rFlatPhysicalDamageModPerLevel')
  final double rFlatPhysicalDamageModPerLevel;
  @JsonKey(name: 'PercentPhysicalDamageMod')
  final double percentPhysicalDamageMod;
  @JsonKey(name: 'FlatMagicDamageMod')
  final double flatMagicDamageMod;
  @JsonKey(name: 'rFlatMagicDamageModPerLevel')
  final double rFlatMagicDamageModPerLevel;
  @JsonKey(name: 'PercentMagicDamageMod')
  final double percentMagicDamageMod;
  @JsonKey(name: 'FlatMovementSpeedMod')
  final double flatMovementSpeedMod;
  @JsonKey(name: 'rFlatMovementSpeedModPerLevel')
  final double rFlatMovementSpeedModPerLevel;
  @JsonKey(name: 'PercentMovementSpeedMod')
  final double percentMovementSpeedMod;
  @JsonKey(name: 'rPercentMovementSpeedModPerLevel')
  final double rPercentMovementSpeedModPerLevel;
  @JsonKey(name: 'FlatAttackSpeedMod')
  final double flatAttackSpeedMod;
  @JsonKey(name: 'PercentAttackSpeedMod')
  final double percentAttackSpeedMod;
  @JsonKey(name: 'rPercentAttackSpeedModPerLevel')
  final double rPercentAttackSpeedModPerLevel;
  @JsonKey(name: 'rFlatDodgeMod')
  final double rFlatDodgeMod;
  @JsonKey(name: 'rFlatDodgeModPerLevel')
  final double rFlatDodgeModPerLevel;
  @JsonKey(name: 'PercentDodgeMod')
  final double percentDodgeMod;
  @JsonKey(name: 'FlatCritChanceMod')
  final double flatCritChanceMod;
  @JsonKey(name: 'rFlatCritChanceModPerLevel')
  final double rFlatCritChanceModPerLevel;
  @JsonKey(name: 'PercentCritChanceMod')
  final double percentCritChanceMod;
  @JsonKey(name: 'FlatCritDamageMod')
  final double flatCritDamageMod;
  @JsonKey(name: 'rFlatCritDamageModPerLevel')
  final double rFlatCritDamageModPerLevel;
  @JsonKey(name: 'PercentCritDamageMod')
  final double percentCritDamageMod;
  @JsonKey(name: 'FlatBlockMod')
  final double flatBlockMod;
  @JsonKey(name: 'PercentBlockMod')
  final double percentBlockMod;
  @JsonKey(name: 'FlatSpellBlockMod')
  final double flatSpellBlockMod;
  @JsonKey(name: 'rFlatSpellBlockModPerLevel')
  final double rFlatSpellBlockModPerLevel;
  @JsonKey(name: 'PercentSpellBlockMod')
  final double percentSpellBlockMod;
  @JsonKey(name: 'FlatEXPBonus')
  final double flatEXPBonus;
  @JsonKey(name: 'PercentEXPBonus')
  final double percentEXPBonus;
  @JsonKey(name: 'rPercentCooldownMod')
  final double rPercentCooldownMod;
  @JsonKey(name: 'rPercentCooldownModPerLevel')
  final double rPercentCooldownModPerLevel;
  @JsonKey(name: 'rFlatTimeDeadMod')
  final double rFlatTimeDeadMod;
  @JsonKey(name: 'rFlatTimeDeadModPerLevel')
  final double rFlatTimeDeadModPerLevel;
  @JsonKey(name: 'rPercentTimeDeadMod')
  final double rPercentTimeDeadMod;
  @JsonKey(name: 'rPercentTimeDeadModPerLevel')
  final double rPercentTimeDeadModPerLevel;
  @JsonKey(name: 'rFlatGoldPer10Mod')
  final double rFlatGoldPer10Mod;
  @JsonKey(name: 'rFlatMagicPenetrationMod')
  final double rFlatMagicPenetrationMod;
  @JsonKey(name: 'rFlatMagicPenetrationModPerLevel')
  final double rFlatMagicPenetrationModPerLevel;
  @JsonKey(name: 'rPercentMagicPenetrationMod')
  final double rPercentMagicPenetrationMod;
  @JsonKey(name: 'rPercentMagicPenetrationModPerLevel')
  final double rPercentMagicPenetrationModPerLevel;
  @JsonKey(name: 'FlatEnergyRegenMod')
  final double flatEnergyRegenMod;
  @JsonKey(name: 'rFlatEnergyRegenModPerLevel')
  final double rFlatEnergyRegenModPerLevel;
  @JsonKey(name: 'FlatEnergyPoolMod')
  final double flatEnergyPoolMod;
  @JsonKey(name: 'rFlatEnergyModPerLevel')
  final double rFlatEnergyModPerLevel;
  @JsonKey(name: 'PercentLifeStealMod')
  final double percentLifeStealMod;
  @JsonKey(name: 'PercentSpellVampMod')
  final double percentSpellVampMod;

  Stats(
      this.flatHPPoolMod,
      this.rFlatHPModPerLevel,
      this.flatMPPoolMod,
      this.rFlatMPModPerLevel,
      this.percentHPPoolMod,
      this.percentMPPoolMod,
      this.flatHPRegenMod,
      this.rFlatHPRegenModPerLevel,
      this.percentHPRegenMod,
      this.flatMPRegenMod,
      this.rFlatMPRegenModPerLevel,
      this.percentMPRegenMod,
      this.flatArmorMod,
      this.rFlatArmorModPerLevel,
      this.percentArmorMod,
      this.rFlatArmorPenetrationMod,
      this.rFlatArmorPenetrationModPerLevel,
      this.rPercentArmorPenetrationMod,
      this.rPercentArmorPenetrationModPerLevel,
      this.flatPhysicalDamageMod,
      this.rFlatPhysicalDamageModPerLevel,
      this.percentPhysicalDamageMod,
      this.flatMagicDamageMod,
      this.rFlatMagicDamageModPerLevel,
      this.percentMagicDamageMod,
      this.flatMovementSpeedMod,
      this.rFlatMovementSpeedModPerLevel,
      this.percentMovementSpeedMod,
      this.rPercentMovementSpeedModPerLevel,
      this.flatAttackSpeedMod,
      this.percentAttackSpeedMod,
      this.rPercentAttackSpeedModPerLevel,
      this.rFlatDodgeMod,
      this.rFlatDodgeModPerLevel,
      this.percentDodgeMod,
      this.flatCritChanceMod,
      this.rFlatCritChanceModPerLevel,
      this.percentCritChanceMod,
      this.flatCritDamageMod,
      this.rFlatCritDamageModPerLevel,
      this.percentCritDamageMod,
      this.flatBlockMod,
      this.percentBlockMod,
      this.flatSpellBlockMod,
      this.rFlatSpellBlockModPerLevel,
      this.percentSpellBlockMod,
      this.flatEXPBonus,
      this.percentEXPBonus,
      this.rPercentCooldownMod,
      this.rPercentCooldownModPerLevel,
      this.rFlatTimeDeadMod,
      this.rFlatTimeDeadModPerLevel,
      this.rPercentTimeDeadMod,
      this.rPercentTimeDeadModPerLevel,
      this.rFlatGoldPer10Mod,
      this.rFlatMagicPenetrationMod,
      this.rFlatMagicPenetrationModPerLevel,
      this.rPercentMagicPenetrationMod,
      this.rPercentMagicPenetrationModPerLevel,
      this.flatEnergyRegenMod,
      this.rFlatEnergyRegenModPerLevel,
      this.flatEnergyPoolMod,
      this.rFlatEnergyModPerLevel,
      this.percentLifeStealMod,
      this.percentSpellVampMod);
    
  factory Stats.fromJson(Map<String, dynamic> json) => _$StatsFromJson(json);

  Map<String, dynamic> toJson() => _$StatsToJson(this);
}
